pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/36699 (lang/ruby18-base does not install docs by default)

The following reply was made to PR pkg/36699; it has been noted by GNATS.

From: Takahiro Kambe <>
Subject: Re: pkg/36699 (lang/ruby18-base does not install docs by default)
Date: Sun, 29 Jul 2007 19:16:47 +0900 (JST)

 >>> The lang/ruby18-base has a non-sensible default to not install the
 >>> docs by defau lt.  This is especially annoying when installing from
 >>> binary packages.  It would make more sense to me to opt out of the
 >>> documentation when you don't want to wa ste the space for this.
 The essencial problem is building ruby's document eats too much
 memories.  It cause build error on less machines that enabling build
 documenting documents default memory less machines (See 34587 of PR).
 So, it might be some trade off and I can't judge which is better.
 Takahiro Kambe <>

Home | Main Index | Thread Index | Old Index